Loading...
Searching...
No Matches
pw_registry_events Struct Reference
Core API » Registry

Registry events. More...

`#include <pipewire/core.h>`

## Data Fields

uint32_t | version
void(* | global )(void *data, uint32_t id, uint32_t permissions, const char *type, uint32_t version, const struct spa_dict *props)
| Notify of a new global object.
void(* | global_remove )(void *data, uint32_t id)
| Notify of a global object removal.

## Detailed Description

Registry events.

Examples
  gmain.c, tutorial2.c, tutorial3.c, and tutorial6.c.

## Field Documentation

## version

uint32_t pw_registry_events::version

## global

void(* pw_registry_events::global) (void *data, uint32_t id, uint32_t permissions, const char *type, uint32_t version, const struct spa_dict *props)

Notify of a new global object.

The registry emits this event when a new global object is available.

Parameters

  id | the global object id
  permissions | the permissions of the object
  type | the type of the interface
  version | the version of the interface
  props | extra properties of the global

## global_remove

void(* pw_registry_events::global_remove) (void *data, uint32_t id)

Notify of a global object removal.

Emitted when a global object was removed from the registry. If the client has any bindings to the global, it should destroy those.

Parameters

  id | the id of the global that was removed

The documentation for this struct was generated from the following file:

- pipewire/core.h